summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-08-05 20:23:39 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-08-05 20:23:39 +0000
commitcda211321f0200146a214a3edd6ea2d64dfb05f1 (patch)
treed4a35c44f3fef59180e4a84df64e47236009e43f /dev-python
parentc9e3018a1be5b4b22bb543b186839f2d72d6fbae (diff)
downloadbaldeagleos-repo-cda211321f0200146a214a3edd6ea2d64dfb05f1.tar.gz
baldeagleos-repo-cda211321f0200146a214a3edd6ea2d64dfb05f1.tar.xz
baldeagleos-repo-cda211321f0200146a214a3edd6ea2d64dfb05f1.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiodns/aiodns-3.2.0.ebuild2
-rw-r--r--dev-python/aiohttp/Manifest2
-rw-r--r--dev-python/aiohttp/aiohttp-3.10.0.ebuild2
-rw-r--r--dev-python/aiohttp/aiohttp-3.10.1.ebuild (renamed from dev-python/aiohttp/aiohttp-3.10.0_beta1.ebuild)10
-rw-r--r--dev-python/astroid/Manifest1
-rw-r--r--dev-python/astroid/astroid-3.3.0.ebuild89
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-1.9.4.ebuild70
-rw-r--r--dev-python/clang-python/Manifest2
-rw-r--r--dev-python/clang-python/clang-python-19.1.0_rc2.ebuild53
-rw-r--r--dev-python/coverage/Manifest1
-rw-r--r--dev-python/coverage/coverage-7.6.1.ebuild98
-rw-r--r--dev-python/ensurepip-wheel/Manifest1
-rw-r--r--dev-python/ensurepip-wheel/ensurepip-wheel-0.44.0.ebuild20
-rw-r--r--dev-python/flake8/Manifest1
-rw-r--r--dev-python/flake8/flake8-7.1.1.ebuild60
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.108.8.ebuild103
-rw-r--r--dev-python/imap-tools/Manifest4
-rw-r--r--dev-python/imap-tools/imap-tools-1.7.2.ebuild (renamed from dev-python/imap-tools/imap-tools-1.7.1.ebuild)0
-rw-r--r--dev-python/lit/Manifest2
-rw-r--r--dev-python/lit/lit-19.1.0_rc2.ebuild45
-rw-r--r--dev-python/pandas/pandas-2.2.2-r1.ebuild2
-rw-r--r--dev-python/pathlib2/Manifest1
-rw-r--r--dev-python/pathlib2/metadata.xml11
-rw-r--r--dev-python/pathlib2/pathlib2-2.3.7_p1-r1.ebuild32
-rw-r--r--dev-python/pyarrow/pyarrow-17.0.0.ebuild2
-rw-r--r--dev-python/pycares/pycares-4.4.0.ebuild2
-rw-r--r--dev-python/pycodestyle/Manifest2
-rw-r--r--dev-python/pycodestyle/pycodestyle-2.12.1.ebuild (renamed from dev-python/pycodestyle/pycodestyle-2.11.1.ebuild)2
-rw-r--r--dev-python/pyzmq/Manifest1
-rw-r--r--dev-python/pyzmq/pyzmq-26.1.0.ebuild80
-rw-r--r--dev-python/setuptools-rust/Manifest1
-rw-r--r--dev-python/setuptools-rust/setuptools-rust-1.10.1.ebuild176
-rw-r--r--dev-python/shapely/Manifest1
-rw-r--r--dev-python/shapely/shapely-2.0.4-r1.ebuild50
-rw-r--r--dev-python/tokenize-rt/Manifest1
-rw-r--r--dev-python/tokenize-rt/tokenize-rt-6.0.0.ebuild25
-rw-r--r--dev-python/trio/Manifest1
-rw-r--r--dev-python/trio/trio-0.26.1.ebuild67
-rw-r--r--dev-python/wheel/Manifest1
-rw-r--r--dev-python/wheel/wheel-0.44.0.ebuild45
42 files changed, 966 insertions, 105 deletions
diff --git a/dev-python/aiodns/aiodns-3.2.0.ebuild b/dev-python/aiodns/aiodns-3.2.0.ebuild
index 6845030e1261..907a1ec9b747 100644
--- a/dev-python/aiodns/aiodns-3.2.0.ebuild
+++ b/dev-python/aiodns/aiodns-3.2.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~riscv ~sparc ~x86"
+KEYWORDS="amd64 ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
# Tests fail with network-sandbox, since they try to resolve google.com
PROPERTIES="test_network"
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 793cda20c51b..b704a1b5b814 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,3 +1,3 @@
DIST aiohttp-3.10.0.tar.gz 7517100 BLAKE2B ce37d40e94ef836ae63a56b1b01251a34a07c469120393f8006964f54eea5f27cd4277fb0f69174cf652e52fbb0d77cda53ffe41c785922717defde2df873dd9 SHA512 69c8eaed5738c11ea994b64dcf75cbc5950b1cc4705ac40df80ad3311dceb1d25c15019527e32e9345a4677882e103a7c25dedc0dc99d874102a73771d6cfde9
-DIST aiohttp-3.10.0b1.tar.gz 7515855 BLAKE2B af9ad5ffe826f08d26ab5eaf205e1cad348dde4ee22a994ce006e2bd1031d488d5f5a9621016db59127d83845055115bda186a22ae6d607d22ec171051bcdee3 SHA512 66630c508c4dba6f0cee644181006cce0b4cc4e2a25a2304088ec4f4e9497e36bb0624a62174efb4794c112a603146b2a18c5160b7da6e8b3681aec2fde47c84
+DIST aiohttp-3.10.1.tar.gz 7517572 BLAKE2B 4400cbda0997f3602ace4aae7ba153dcb515d49d8d3431fab087ebba3126d8fa82121998b1d8e36e2b86c9144a5c124ac16c12520cd47fea7956e6c04e2b4e55 SHA512 59f743ce7821b46da531eb576bbf20409407726b6ba78be9615f715ab2404cc3668120d2ec1566dcab7017ba36bf1753a3365b81097da53685c93ba013c3c94a
DIST aiohttp-3.9.5.tar.gz 7504841 BLAKE2B f051ee88d45952219f72d542f1c6d0cc33c699c6c5fb5dbe3bc054ee4d0e03121b219c8c8524fd1236a8b878329b0997b8afe07d6c66074102d4a2052a8738ff SHA512 da11468a2f131275593395b052700a99cf79055a32d48327dca0f58547ad30add8cd0a375dbd831e2f06fe7a739183251e4ad69c16f3d141799bbed45a8a5dc4
diff --git a/dev-python/aiohttp/aiohttp-3.10.0.ebuild b/dev-python/aiohttp/aiohttp-3.10.0.ebuild
index beb1b04100b2..91db7746668f 100644
--- a/dev-python/aiohttp/aiohttp-3.10.0.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.10.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~sparc ~x86"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="test-rust"
RDEPEND="
diff --git a/dev-python/aiohttp/aiohttp-3.10.0_beta1.ebuild b/dev-python/aiohttp/aiohttp-3.10.1.ebuild
index b48b3bebe19f..beb1b04100b2 100644
--- a/dev-python/aiohttp/aiohttp-3.10.0_beta1.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.10.1.ebuild
@@ -101,6 +101,16 @@ python_test() {
# sigh
local -x AIOHTTP_NO_EXTENSIONS=1
;;
+ python3.13)
+ EPYTEST_DESELECT+=(
+ # buggy test
+ # https://github.com/aio-libs/aiohttp/issues/8551
+ tests/test_web_urldispatcher.py::test_access_mock_special_resource
+ # new test (so not a regression)
+ # https://github.com/aio-libs/aiohttp/issues/8565
+ tests/test_web_urldispatcher.py::test_access_symlink_loop
+ )
+ ;;
esac
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index b335c53a3b1f..ac2f210aa402 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1,2 +1,3 @@
DIST astroid-3.2.3.gh.tar.gz 465447 BLAKE2B d41d206e3b362316ba71f109729fb26ff6b4f63719a0337f78545ce58fabaaa73a3ee62ff6bffa9c4a2f10e6e10718bdc17a38ecc319bce443695a60628ac315 SHA512 d9e8b85401598c0ffd3a27c37c4133bc9bba8436cdeb3dadc9a2337ebbf731c062451cdc5c9cf72a768ecf98253051ac012cfdb08084009a9c4a9043acfeabbc
DIST astroid-3.2.4.gh.tar.gz 465788 BLAKE2B 745a860b7bacb45cb86e9b232fe3a37cdac40cb471b00832a7dd7da4c3374760749cebe8c8688748e750cc3639554515a7a9e24f5f4d2ebac10af2c906fa04a9 SHA512 e48289794f67cf53bb8a2dcf357c1e892140a0a625c2e19601cf5ad579aaa33a94f0e052915fa6e854bc0a2e626f41b2d13773aa2b2af2412efeb33d030ed2b6
+DIST astroid-3.3.0.gh.tar.gz 463962 BLAKE2B 64f80499e6a435326ef822e4e9baae3ae8cea1f0c2762e79bb6fa4a7158897b8399deb17e7416ce4cbc243dbd38701729e9083c3c92ee9577a216b5e9d7e624c SHA512 c8e494704b9cd769eb4175556f160e5596a7058fe73a020e3b6f261626d9cc7ce7fabeea517e8e172467524126a4950d4280f830a9f49c1607382f9ceb8aed84
diff --git a/dev-python/astroid/astroid-3.3.0.ebuild b/dev-python/astroid/astroid-3.3.0.ebuild
new file mode 100644
index 000000000000..3ae97f5efa59
--- /dev/null
+++ b/dev-python/astroid/astroid-3.3.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/pylint-dev/astroid/
+ https://pypi.org/project/astroid/
+"
+SRC_URI="
+ https://github.com/pylint-dev/astroid/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in pyproject.toml
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# dev-python/regex isn't available for pypy
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/regex[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why they're broken
+ tests/test_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/test_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # pydantic-2?
+ tests/brain/test_dataclasses.py::test_pydantic_field
+ # requires urllib3 with bundled six (skipped with urllib3>=2)
+ tests/test_modutils.py::test_file_info_from_modpath__SixMetaPathImporter
+ # hangs
+ tests/test_nodes.py::AsStringTest::test_recursion_error_trapped
+ # TODO
+ tests/test_builder.py::BuilderTest::test_data_build_error_filename
+ # numpy-2 (https://github.com/pylint-dev/astroid/issues/2442)
+ tests/brain/numpy/test_core_einsumfunc.py::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_fromnumeric.py::BrainNumpyCoreFromNumericTest::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_multiarray.py::BrainNumpyCoreMultiarrayTest::test_numpy_function_calls_inferred_as_ndarray
+ tests/brain/numpy/test_core_numerictypes.py::NumpyBrainCoreNumericTypesTest::test_datetime_astype_return
+ tests/brain/numpy/test_core_numerictypes.py::NumpyBrainCoreNumericTypesTest::test_generic_types_are_subscriptables
+ tests/brain/numpy/test_core_umath.py::NumpyBrainCoreUmathTest::test_numpy_core_umath_functions_return_type
+ tests/brain/numpy/test_core_umath.py::NumpyBrainCoreUmathTest::test_numpy_core_umath_functions_return_type_tuple
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ tests/test_transforms.py::TestTransforms::test_transform_aborted_if_recursion_limited
+ )
+ ;;
+ python3.13)
+ EPYTEST_DESELECT+=(
+ # changes in py3.13.0b4
+ # https://github.com/pylint-dev/astroid/issues/2478
+ tests/test_nodes.py::AsStringTest::test_f_strings
+ tests/test_nodes_lineno.py::TestLinenoColOffset::test_end_lineno_string
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 17ad268902fb..0c936e4d4fea 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,2 +1,3 @@
DIST cfn_lint-1.8.2.tar.gz 2377269 BLAKE2B 8f4266c6d90f50f614f203a4b34ffc15397c973e8af07510c64e21bd80f1c4dd0f5bf6283268cbc69fbe505d6c945cc058ec0f06b05e868b3149941ab28b3948 SHA512 2605c5880960e3bce2822f2d9b9bd221d4ab7d77a4d9a1bcbdbf6df8f50492877daf704f84157946519a9da96f9d3de5ed5e65629d259726a10e1fb38c963950
DIST cfn_lint-1.9.3.tar.gz 2562556 BLAKE2B c8816021cfb83e2c0d915cc58e7c099bf8ff0640b0562ddf3a7bcfca250e7d4fa03480ff99b5eef4fb103a77aca9a2b3c5266a30b19cddc899f7c0ccb3ca88d6 SHA512 fd75a60b7249bb3f0865d4a37b70d5f64012879b332dfe240f7d7eddc5ae48674e7372b959dd6964f8d0c028c0b75dc78c25caf0ebb3e5186bb6b2b7004e1212
+DIST cfn_lint-1.9.4.tar.gz 2563835 BLAKE2B 50694ee3982cda4e6df6aa2e8be2c0ae3182899947897d71764426f7fa14225ce44248af42e3d74e1b0159f216a02bc41f6675ab04dd09210bc66419913a5fdb SHA512 345d3aaa1dc6dfa1049061b4563c0f705510e69058e2184e7220f3dba776522967115a273e5044032a02b96c985a71acd4c1c31f7a71d819309d74dd60242456
diff --git a/dev-python/cfn-lint/cfn-lint-1.9.4.ebuild b/dev-python/cfn-lint/cfn-lint-1.9.4.ebuild
new file mode 100644
index 000000000000..cb4c0566bc6f
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.9.4.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.89.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ # different graphviz version?
+ test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 279925324291..0f284eff910c 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -9,3 +9,5 @@ DIST llvm-project-18.1.8.src.tar.xz 132067260 BLAKE2B a950492f1dbfb874dff63b1ffe
DIST llvm-project-18.1.8.src.tar.xz.sig 566 BLAKE2B 6ab0efc5b38d4483f4e32e8b85774b2edd5d88fdf29f23b88eb0b5130a7a7f0e80549612b025f927e92de4a08ff7c292cff224dbda91a5d598244e98f7ad0fbd SHA512 ddfd1e8a06756759af6cbe488c82a6d6a62ba91f3e8a0eb4cece561321824f5d165b08ed91010588790b76e19790931d2651b24dba8567e3b151d3cb43bec25b
DIST llvm-project-19.1.0-rc1.src.tar.xz 141259912 BLAKE2B e882ff54a96900b4948e572cf073c897df6b4ce159869a42c56a4c830187d83b8d9d9b3940dad22346f142f9674575191cc9d079312f0d9aa1105390c07f504f SHA512 9f43dbe8d5f1322f73fb1c638ce4fc7a8179c9ca33fdbfbb6d72632a3d6bf4bc4993f8f5ec827510af55f4f013fba8fe3d7d9e45f262eec16ecf9ab39296b4b8
DIST llvm-project-19.1.0-rc1.src.tar.xz.sig 438 BLAKE2B cc1acbd33440bb14f78c19cc3061a5c0cb3d9dbcd6f0d1516fe118ac02c500ba4df129f870ddf3fe1a52519feab4b631866413fce9c726272d52c3865a9eea27 SHA512 a3361992b55be13aeff5d91bb90a15e3a2ab89e486328fa4d9abc9efa3925aee70bea48449b003ae1926909d389bf71afcf6dc56d800ed2e0e3dbc65da6e4e92
+DIST llvm-project-19.1.0-rc2.src.tar.xz 141264388 BLAKE2B 690b4912d9e4a8019b7990934dd6486362337ccb303dca119c0e75aa1063ad452222be1ee965e43b160dfcea20e491a20c289344152666b618712a1d76dc4780 SHA512 508a401e8433b1ac9a399246eb1a3c18faed7c3d41d8c118e77cefbb64cc6d6e171bd41a3e5584f6c84df141ba6819f1a1cce75b5c1ef33e3d2ac239e662d07c
+DIST llvm-project-19.1.0-rc2.src.tar.xz.sig 438 BLAKE2B 1eaf10a1419ecf009c033a8f6ecb6eec86107d81621d5b4665c8d929b05f4845ce0c432017343d7b06f33e6ff6384df9e1d8fc7b9c6efe7f10ef69798891b7e5 SHA512 b46e9a1d40f891c5f3544d8cc6295900bff5dda9a4a526b8db55a42a37ae90deb216b316d2117984e82f4e918d15343e75b3b9e6d6c773866707c3398e032826
diff --git a/dev-python/clang-python/clang-python-19.1.0_rc2.ebuild b/dev-python/clang-python/clang-python-19.1.0_rc2.ebuild
new file mode 100644
index 000000000000..82c18f7c0f95
--- /dev/null
+++ b/dev-python/clang-python/clang-python-19.1.0_rc2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index a10fe5969e2c..f03358207acd 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -1,3 +1,4 @@
DIST coverage-7.5.3.tar.gz 786184 BLAKE2B 014a21273bf302a7e10d3239edda1a95b99674abd0b7b769a688a4e576d0b9e5ce9189ee38e8c53b0cbd5ea7bd2c7f7583704455f6842c9a19e77cc19aae3de1 SHA512 6c72525b19b0efbf6a23b8a2860e056613c8119a5306978a67bc11b8598bac693e7541a9ca206bb9394511c9a84097a7f450ebf38e7c1c40e914fd71cf7546ce
DIST coverage-7.5.4.tar.gz 793238 BLAKE2B a53967307ce9cbb72d89810575574a7a1358c988e5e02cfa2a982ba8e68e7efd477c2d902c2037c67f18309c54777f3422db845b7753da49ccb69855289c13de SHA512 363658864f9a5116e49bd10a45a8ceeb0bb62c70458e0c0ce7ae90f3ddea0659d67af1a35a44a47e673b256cdad8ea0963339110dabfd7031d6b98ba483f3606
DIST coverage-7.6.0.tar.gz 797590 BLAKE2B c63f022de8ace0e0ee420ecd12431104cafb9471272afd9ecb5ac0a356f065372955097c30c1128547da828ae7e20c8ea615db0fcc31c2ddb61d5377d7c284f7 SHA512 ed27f19a17d4f231a7d28af23045fb0144a8c192cc9b31f90353f558a99a9c4159d7fab6bb5c1231aa8229b8fd56e1163cc0880c4edb3d802e6d48af062468e9
+DIST coverage-7.6.1.tar.gz 798791 BLAKE2B d4af7893e8b79703757ba14b1f01d998334f602901915b9380948bbfcaabaafee2754c803123441dd4fbbb5c0af89e2d90e0d5ae67ae0afcf160580e7acd201f SHA512 ff09783b3433ea72fc3cbc133a8c76236309c68ccd768cc3a849a5cc1215fe6db22d1e619a4062abc3c4f145ec93fd16ed5405b13960485628b1624e6b8adb16
diff --git a/dev-python/coverage/coverage-7.6.1.ebuild b/dev-python/coverage/coverage-7.6.1.ebuild
new file mode 100644
index 000000000000..2636fdcd301f
--- /dev/null
+++ b/dev-python/coverage/coverage-7.6.1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/nedbat/coveragepy/
+ https://pypi.org/project/coverage/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/s:-q -n auto::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+test_tracer() {
+ local -x COVERAGE_CORE=${1}
+ einfo " Testing with the ${COVERAGE_CORE} core ..."
+ epytest -p flaky -p hypothesis -p xdist tests
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO: fails because of additional "Terminated" print on SIGTERM
+ tests/test_concurrency.py::SigtermTest::test_sigterm_threading_saves_data
+ # broken because of pytest plugins explicity loaded
+ tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
+ # these expect specific availability of C extension matching
+ # COVERAGE_CORE (which breaks testing pytracer on CPython)
+ tests/test_cmdline.py::CmdLineStdoutTest::test_version
+ tests/test_debug.py::DebugTraceTest::test_debug_sys_ctracer
+ )
+ local EPYTEST_IGNORE=(
+ # pip these days insists on fetching build deps from Internet
+ tests/test_venv.py
+ )
+
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" coverage/ || die
+ test_tracer ctrace
+ fi
+
+ test_tracer pytrace
+
+ case ${EPYTHON} in
+ python3.1[01]|pypy3)
+ ;;
+ *)
+ # available since Python 3.12
+ test_tracer sysmon
+ ;;
+ esac
+
+ if [[ -n ${c_ext} ]]; then
+ rm coverage/*.so || die
+ fi
+}
diff --git a/dev-python/ensurepip-wheel/Manifest b/dev-python/ensurepip-wheel/Manifest
index beaa1497d2b2..3e2845e11102 100644
--- a/dev-python/ensurepip-wheel/Manifest
+++ b/dev-python/ensurepip-wheel/Manifest
@@ -1 +1,2 @@
DIST wheel-0.43.0-py3-none-any.whl 65775 BLAKE2B ae972f78acaf10c074dcfcc208aeb523f932564a9008612c7071b2bc4edae3a9a25f5c93bff37a39e6fd2f8e790db8bc2f500045e3141c8279fb329e8fff45b8 SHA512 5a637264ee0eba127aa72a372b111fe8a61f454fbd3fc02b39590fd2c6bf6f5e9ac4b0e18fd16ff5fdbb9f4b046c9237fd56b055c4cb595fb042e5aa94b336c5
+DIST wheel-0.44.0-py3-none-any.whl 67059 BLAKE2B e02afce5ad38a1cccc19b67acca74d3c43e0b45f52f334d28102d71ed8ffff5f0749f0ffa49c26d8eb89ce63f0a240c33117593b7807c6797fffd1e6daf6fc87 SHA512 98209d3ff1a04fd50ae256b94a648deb9ff29114e90a632c0fc34304c9f8a904b000f66019c684e228f56900e51105fe8678dc9c1bbcdd9ec69dd28d8e98058a
diff --git a/dev-python/ensurepip-wheel/ensurepip-wheel-0.44.0.ebuild b/dev-python/ensurepip-wheel/ensurepip-wheel-0.44.0.ebuild
new file mode 100644
index 000000000000..dc4dfd13326e
--- /dev/null
+++ b/dev-python/ensurepip-wheel/ensurepip-wheel-0.44.0.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pypi
+
+DESCRIPTION="Shared wheel wheel for use in pip tests"
+HOMEPAGE="https://pypi.org/project/wheel/"
+SRC_URI="$(pypi_wheel_url "${PN#ensurepip-}")"
+S=${DISTDIR}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${A}"
+}
diff --git a/dev-python/flake8/Manifest b/dev-python/flake8/Manifest
index 0cf8d7634cc2..9d626586d654 100644
--- a/dev-python/flake8/Manifest
+++ b/dev-python/flake8/Manifest
@@ -1 +1,2 @@
DIST flake8-7.1.0.gh.tar.gz 138600 BLAKE2B df6781e676d4eccf296d5fc3d767643956799d1c99adccb32d0005951f0aca13b7e99ff7506f7026e9ed6c2dd78d5bdd02d9a25aaf64a1353097b8a9c02c5739 SHA512 0e970bdb0facff3a6e2ee33a74fe77ee1f7c80fbc517125df34d831ff897e222d0955d56fa9e9eedef83ccdc4e92aa7bbc583517d7b19a8cf1041790a225693a
+DIST flake8-7.1.1.gh.tar.gz 138915 BLAKE2B 5c00c4a95f0757f7d3716270ca1de91580cb1731c700227d563c08798981c124c5789f40a5965ad49450a77601ab9638d04cb32ef9c13418720c4123ba2a7932 SHA512 310457e3c701f746d812cc76664bcb79c7cbc320af9d757ebbc13c847f2c3864770d9b945694b4b6abb773ae636e19175222c3dab74d34559beaa7835f1d9931
diff --git a/dev-python/flake8/flake8-7.1.1.ebuild b/dev-python/flake8/flake8-7.1.1.ebuild
new file mode 100644
index 000000000000..e984968fb1cf
--- /dev/null
+++ b/dev-python/flake8/flake8-7.1.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around PyFlakes, pep8 & mccabe"
+HOMEPAGE="
+ https://github.com/PyCQA/flake8/
+ https://pypi.org/project/flake8/
+"
+SRC_URI="
+ https://github.com/PyCQA/flake8/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ =dev-python/pyflakes-3.2*[${PYTHON_USEDEP}]
+ =dev-python/pycodestyle-2.12*[${PYTHON_USEDEP}]
+"
+PDEPEND="
+ =dev-python/mccabe-0.7*[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ ${PDEPEND}
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ dev-python/sphinx-prompt \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fails if additional flake8 plugins are installed
+ tests/integration/test_plugins.py::test_local_plugin_can_add_option
+ )
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ EPYTEST_DESELECT+=(
+ # problem with pypy3.10 in dev-python/pyflakes
+ # https://github.com/PyCQA/pyflakes/issues/779
+ tests/integration/test_main.py::test_malformed_per_file_ignores_error
+ tests/integration/test_main.py::test_tokenization_error_but_not_syntax_error
+ tests/integration/test_main.py::test_tokenization_error_is_a_syntax_error
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index cd11b6514320..41f7a6a60dba 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
DIST hypothesis-6.107.0.gh.tar.gz 9470192 BLAKE2B 721d9ee1281600bca8387e396c1d79316db3130061ac40635f8cb8ba3cf91ad0417debe1276efb21cadf5e5f8ae856d13b82fc674313a21549adff645ce07b1f SHA512 13403073167d24e80fec4ed256a60e696b79b900a45dbd9f349b123fbefe3c7fa5daac6f35200d5198d4565033b65792cd1fd8a7816955aeddbbc0c7bb93d578
DIST hypothesis-6.108.4.gh.tar.gz 9472674 BLAKE2B 88983672fc7161ce44c88cd47cfb0fd44a66dcb6c6245e0f1d38e4811b11ff844022515e0655d61a40e9c0f195b930cc1c3ca0cee54a443e07b163bd276147d1 SHA512 cba9a16713ae4d646e4e9db0711191157580776327e590785be86d59863c843649a06535b3e3b766c4aef6344d6046879cf69e224d4a6c9fab0ec7dcda17063d
DIST hypothesis-6.108.5.gh.tar.gz 9473125 BLAKE2B fa72dd3958970308bbd656643343d522f0f6f2df28131c97024f79f619ecf19c0e92f09b7611b8846fff802a658bd1b018f6237ccdbfa0c9c31f7e49d2356e3f SHA512 595e95e8f790a1d8148e9a626eb388dbe0c8d17359dae6f6aa182abf833b5e7af1ba113430bd18f0d4ec43be3a32a435f0abd4ca0e1a1e02afc2e19aeebdcdd5
+DIST hypothesis-6.108.8.gh.tar.gz 9474435 BLAKE2B fd199019fdbc945c3fec0d9349f443ede307ee155cbb6f01e30f8ce888805b4f37754af9c675112b0f0ca30146d4a5dd45915be66194c677a72a7b2f71979605 SHA512 62090fc72e8f563c59a93b27a2febf0e68e30e2ef322f85ef6abca9a21d182105ea2210b47e4590a752a365d79328d758d0077d50f5857cbeb336ca6ce1e1c1b
diff --git a/dev-python/hypothesis/hypothesis-6.108.8.ebuild b/dev-python/hypothesis/hypothesis-6.108.8.ebuild
new file mode 100644
index 000000000000..6ba8058fdf38
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.108.8.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/imap-tools/Manifest b/dev-python/imap-tools/Manifest
index 6e2d4932670b..92436a2c61a6 100644
--- a/dev-python/imap-tools/Manifest
+++ b/dev-python/imap-tools/Manifest
@@ -1,5 +1,5 @@
DIST imap-tools-1.6.0.gh.tar.gz 252727 BLAKE2B 2d075c2ca41adfcef4253b3085086bd99c08e5cfe7cc9c9b1327adebcd9fd875804da09b57320ed53723a8911f67c6deee58bc11c33a06e034f53bef6580bb05 SHA512 2bcb44232c0f2416e7372ba7336a7029ff2dfc84ad2354149c446df2ec50970be0c315b8612e9ebbd5f49fa9544ce9e9d662f80d2daefd4e15d013e37eb9c061
-DIST imap-tools-1.7.1.gh.tar.gz 252756 BLAKE2B a4a8a54109252362a6047f96f42a9443abba79c8914ea288b7e8127834599fe608a3de4ef0261f4d6f866c1e5018bfb5f6b7529bd3c43851c7103dbffece5e89 SHA512 8f2e5fcb23f8ad72337bec7526a56712085933b5774088719691276444ab920c0727599df38a35d018a636305466ceccad27729ceb81f1730e147ff7ab04fad3
+DIST imap-tools-1.7.2.gh.tar.gz 252785 BLAKE2B 993b581a959bccbdfb40782ce779f854cdef1f19af16743ae932e8ad6b652ea1fed2a3adf3a70ad6f157a4d0f9e6a37a43d7cb9846b4e7544ccbeec864ef046c SHA512 9951aab322875959819ed078a9e935b337c63630974a6162afba39374ff4537d64b7e885c20137c5c44d383bbb4a65d8f2b7ec019039ac3b2a684e6638c00d45
EBUILD imap-tools-1.6.0.ebuild 730 BLAKE2B ffa7d1b6169e7bc2b45ae95411db811c3dbf5600e67c82c7d2e99b44aff29289358997ad0b7e49f680463380ad0750c93268d258eb3eccd860270aec20261e77 SHA512 1bf7fe3054092530f4331e70daf304dbff73ee7bbb6738d39c37241234e65a2a5d6d24eceb87730e70321fd93fda9c3196153565c9a08e69f15549372fc223dd
-EBUILD imap-tools-1.7.1.ebuild 730 BLAKE2B ffa7d1b6169e7bc2b45ae95411db811c3dbf5600e67c82c7d2e99b44aff29289358997ad0b7e49f680463380ad0750c93268d258eb3eccd860270aec20261e77 SHA512 1bf7fe3054092530f4331e70daf304dbff73ee7bbb6738d39c37241234e65a2a5d6d24eceb87730e70321fd93fda9c3196153565c9a08e69f15549372fc223dd
+EBUILD imap-tools-1.7.2.ebuild 730 BLAKE2B ffa7d1b6169e7bc2b45ae95411db811c3dbf5600e67c82c7d2e99b44aff29289358997ad0b7e49f680463380ad0750c93268d258eb3eccd860270aec20261e77 SHA512 1bf7fe3054092530f4331e70daf304dbff73ee7bbb6738d39c37241234e65a2a5d6d24eceb87730e70321fd93fda9c3196153565c9a08e69f15549372fc223dd
MISC metadata.xml 447 BLAKE2B 59e17459538187a7c9da7fbe7283f25c5131bf3188563709971176266ee42c8e27cdbf744cab7fe77c9b81b618c1246feb6450e969fb2bbe8ec996958315d158 SHA512 2d90e11910d114c0a84231c76b0103e3f4f7187294c68eb1542d396b0122baf3b066813fa95fd9386a6fbaeb778e43e8cc095747aeb7012d26d355c99e2e06ad
diff --git a/dev-python/imap-tools/imap-tools-1.7.1.ebuild b/dev-python/imap-tools/imap-tools-1.7.2.ebuild
index 40545998dd31..40545998dd31 100644
--- a/dev-python/imap-tools/imap-tools-1.7.1.ebuild
+++ b/dev-python/imap-tools/imap-tools-1.7.2.ebuild
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 279925324291..0f284eff910c 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -9,3 +9,5 @@ DIST llvm-project-18.1.8.src.tar.xz 132067260 BLAKE2B a950492f1dbfb874dff63b1ffe
DIST llvm-project-18.1.8.src.tar.xz.sig 566 BLAKE2B 6ab0efc5b38d4483f4e32e8b85774b2edd5d88fdf29f23b88eb0b5130a7a7f0e80549612b025f927e92de4a08ff7c292cff224dbda91a5d598244e98f7ad0fbd SHA512 ddfd1e8a06756759af6cbe488c82a6d6a62ba91f3e8a0eb4cece561321824f5d165b08ed91010588790b76e19790931d2651b24dba8567e3b151d3cb43bec25b
DIST llvm-project-19.1.0-rc1.src.tar.xz 141259912 BLAKE2B e882ff54a96900b4948e572cf073c897df6b4ce159869a42c56a4c830187d83b8d9d9b3940dad22346f142f9674575191cc9d079312f0d9aa1105390c07f504f SHA512 9f43dbe8d5f1322f73fb1c638ce4fc7a8179c9ca33fdbfbb6d72632a3d6bf4bc4993f8f5ec827510af55f4f013fba8fe3d7d9e45f262eec16ecf9ab39296b4b8
DIST llvm-project-19.1.0-rc1.src.tar.xz.sig 438 BLAKE2B cc1acbd33440bb14f78c19cc3061a5c0cb3d9dbcd6f0d1516fe118ac02c500ba4df129f870ddf3fe1a52519feab4b631866413fce9c726272d52c3865a9eea27 SHA512 a3361992b55be13aeff5d91bb90a15e3a2ab89e486328fa4d9abc9efa3925aee70bea48449b003ae1926909d389bf71afcf6dc56d800ed2e0e3dbc65da6e4e92
+DIST llvm-project-19.1.0-rc2.src.tar.xz 141264388 BLAKE2B 690b4912d9e4a8019b7990934dd6486362337ccb303dca119c0e75aa1063ad452222be1ee965e43b160dfcea20e491a20c289344152666b618712a1d76dc4780 SHA512 508a401e8433b1ac9a399246eb1a3c18faed7c3d41d8c118e77cefbb64cc6d6e171bd41a3e5584f6c84df141ba6819f1a1cce75b5c1ef33e3d2ac239e662d07c
+DIST llvm-project-19.1.0-rc2.src.tar.xz.sig 438 BLAKE2B 1eaf10a1419ecf009c033a8f6ecb6eec86107d81621d5b4665c8d929b05f4845ce0c432017343d7b06f33e6ff6384df9e1d8fc7b9c6efe7f10ef69798891b7e5 SHA512 b46e9a1d40f891c5f3544d8cc6295900bff5dda9a4a526b8db55a42a37ae90deb216b316d2117984e82f4e918d15343e75b3b9e6d6c773866707c3398e032826
diff --git a/dev-python/lit/lit-19.1.0_rc2.ebuild b/dev-python/lit/lit-19.1.0_rc2.ebuild
new file mode 100644
index 000000000000..5ed5b5bd096e
--- /dev/null
+++ b/dev-python/lit/lit-19.1.0_rc2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/pandas/pandas-2.2.2-r1.ebuild b/dev-python/pandas/pandas-2.2.2-r1.ebuild
index 78b6a5535b61..13370513d460 100644
--- a/dev-python/pandas/pandas-2.2.2-r1.ebuild
+++ b/dev-python/pandas/pandas-2.2.2-r1.ebuild
@@ -21,7 +21,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+KEYWORDS="amd64 ~arm64 ~loong ~riscv ~x86"
IUSE="big-endian full-support minimal test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pathlib2/Manifest b/dev-python/pathlib2/Manifest
deleted file mode 100644
index 812c9f55eb8f..000000000000
--- a/dev-python/pathlib2/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST pathlib2-2.3.7-post1.gh.tar.gz 39281 BLAKE2B 71448eeb24cc149eb540b5b2f5f39cb1c7273ecbe9491eb049e8e1a721db4bde478bcd6cfadc7bc954c924eb26f1c5950fd4a8c5503a87dc3faec7866a23d0a8 SHA512 8eef6dcbd4b264365499ad0b53321fb1dce3b56377e91288a9d2b769775f9d697736e1136fe43d17147b8539fdad666e9b1f5fc22ecc63a601ce87434ba6aab1
diff --git a/dev-python/pathlib2/metadata.xml b/dev-python/pathlib2/metadata.xml
deleted file mode 100644
index ea8988e8af6a..000000000000
--- a/dev-python/pathlib2/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>python@gentoo.org</email>
- <name>Python</name>
- </maintainer>
-
- <origin>gentoo-staging</origin>
- <stabilize-allarches/>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pathlib2/pathlib2-2.3.7_p1-r1.ebuild b/dev-python/pathlib2/pathlib2-2.3.7_p1-r1.ebuild
deleted file mode 100644
index 5bd908a5d65a..000000000000
--- a/dev-python/pathlib2/pathlib2-2.3.7_p1-r1.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-# this is a backport, please do not add newer impls unless necessary
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-
-inherit distutils-r1
-
-MY_P=${P/_p/-post}
-DESCRIPTION="Backport of pathlib aiming to support the full stdlib Python API"
-HOMEPAGE="
- https://pypi.org/project/pathlib2/
- https://github.com/jazzband/pathlib2/
-"
-SRC_URI="
- https://github.com/jazzband/pathlib2/archive/${PV/_p/-post}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-
-RDEPEND="
- dev-python/six[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/pyarrow/pyarrow-17.0.0.ebuild b/dev-python/pyarrow/pyarrow-17.0.0.ebuild
index 4781044e1a30..30a382d99b50 100644
--- a/dev-python/pyarrow/pyarrow-17.0.0.ebuild
+++ b/dev-python/pyarrow/pyarrow-17.0.0.ebuild
@@ -20,7 +20,7 @@ S="${WORKDIR}/apache-arrow-${PV}/python"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+KEYWORDS="amd64 ~arm64 ~loong ~riscv ~x86"
IUSE="+parquet +snappy ssl"
RDEPEND="
diff --git a/dev-python/pycares/pycares-4.4.0.ebuild b/dev-python/pycares/pycares-4.4.0.ebuild
index bb20f7db20da..049943087454 100644
--- a/dev-python/pycares/pycares-4.4.0.ebuild
+++ b/dev-python/pycares/pycares-4.4.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~riscv ~sparc ~x86"
+KEYWORDS="amd64 ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="test"
# Tests fail with network-sandbox, since they try to resolve google.com
PROPERTIES="test_network"
diff --git a/dev-python/pycodestyle/Manifest b/dev-python/pycodestyle/Manifest
index 99001ac2f5ac..57e627375555 100644
--- a/dev-python/pycodestyle/Manifest
+++ b/dev-python/pycodestyle/Manifest
@@ -1,2 +1,2 @@
-DIST pycodestyle-2.11.1.tar.gz 79865 BLAKE2B b4d9ab3d50aba87e7194abd6b3b317183932cd9e5331c95b57f498704643bce2f459ca9fa2016cc2544f31fb9cbe3390c083fd651ede10f131bc1d6f5e462f23 SHA512 8e1f302d7e26d56edd924202435caef32369ea13eb4a0fdfb48c06bb5d77fd7a5aef92d470eef3e6fdd9c3b298751a52a83317e9ddf8b2aa7e3fedc75fb5151a
DIST pycodestyle-2.12.0.tar.gz 80226 BLAKE2B be53b0909182259543bd388945e865cdb383005722afee58977559adb05ce108f764dfc0951a22db79a3abe84d6d5e90a24ee1524c1ad65fe887876c5002400a SHA512 903dd24113c1757826e31564ebac0ac97ad457b84d292f2f1e798df8e68a3847ff6fed0739430d29becc4a52ba4032d873b0212c13d007695df601637b69bdba
+DIST pycodestyle-2.12.1.tar.gz 80518 BLAKE2B e64dda57d1c349228f8ffeced4061d278b342af7db152377e34b3fad626db52f7eef4668df60d323196f1844e8fa28d9e231cc216145b2ea1da6ae32bc1f341f SHA512 7709c0611812c3294a55a5e6dde00d5affc67c4273ab1d37dec507a424b618b2736a6976d27872903fa448f208fe2ba4529f2bfbefc2902dcf947cb6bca5b09a
diff --git a/dev-python/pycodestyle/pycodestyle-2.11.1.ebuild b/dev-python/pycodestyle/pycodestyle-2.12.1.ebuild
index eed4aab1805c..99da23fdd3cf 100644
--- a/dev-python/pycodestyle/pycodestyle-2.11.1.ebuild
+++ b/dev-python/pycodestyle/pycodestyle-2.12.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2020-2023 Liguros Authors
+# Copyright 2020-2024 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/pyzmq/Manifest b/dev-python/pyzmq/Manifest
index 83a8e3f57467..aadef1d0e395 100644
--- a/dev-python/pyzmq/Manifest
+++ b/dev-python/pyzmq/Manifest
@@ -1,3 +1,4 @@
DIST pyzmq-25.1.2.gh.tar.gz 391272 BLAKE2B 80814704e7ea08d407859c1d71338f6ea283efcd1f3994155334aa5b60c4b6cd89167de8c78d19f8efdbeb5f4071f7b5954ea911eb6e7fbb48a0087b86579cab SHA512 b146a6dbce7cbbe2eb1da7ebd64e463067354f1566cdb4ff634b59bbb6d65e16263b6acb2d101a4ea53f870be5c753c9a12f9cc37bc5a81236681ea4fda6c56b
DIST pyzmq-26.0.2.gh.tar.gz 267895 BLAKE2B c71a0149cb6c596dfcbc760376aa14afa69bd927fcc739698f7d2ea44579dc8437ae605745b383a9b317ff66c092a4f963671e7933cf19f3f73acac16ac06daa SHA512 5772743e71810f9a0c332dcf16f04237eeb0a34ef2efdd22b63258ebe93e6b493a79845090e677a33582a9a80e7bee773160ec7ecfdaf240b655f3819e5b67a5
DIST pyzmq-26.0.3.gh.tar.gz 268927 BLAKE2B 7504a45776e8c618833702563b50f672a3ecabb3353551ea61d2d2343dd9e955d1d2938046c2f90d115255482b9b6b2c0f1817b238e591b9319ac92a4341c04a SHA512 f4a32164daf9d9521be83008a94089406078779b9e0e56812a826df1fb295cc03781566825697313aa0c2b36b85b0bb760b8fb90959a856a0542b9072cde78c9
+DIST pyzmq-26.1.0.gh.tar.gz 272153 BLAKE2B d99bbdabfb93641361daadbe1ee8d4e5c578ef9faabf4c0457078082bb77d094040da43396e34d48cb2341491460ff39ebc8e5f3a19be2172e73df9fe6655e5c SHA512 288b6799cdc2b77f2972e928558ae74871054809075b534f33af876983da3b1cea35d6fd0fbfcb7caa8f3a458ae00da10935e31791c5c650c5589bfd5db577b0
diff --git a/dev-python/pyzmq/pyzmq-26.1.0.ebuild b/dev-python/pyzmq/pyzmq-26.1.0.ebuild
new file mode 100644
index 000000000000..b653f06d2823
--- /dev/null
+++ b/dev-python/pyzmq/pyzmq-26.1.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Lightweight and super-fast messaging library built on top of the ZeroMQ library"
+HOMEPAGE="
+ https://zeromq.org/languages/python/
+ https://pypi.org/project/pyzmq/
+ https://github.com/zeromq/pyzmq/
+"
+SRC_URI="
+ https://github.com/zeromq/pyzmq/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+IUSE="drafts"
+
+# There are additional test failures if zeromq has the draft api enabled, but pyzmq has it disabled.
+DEPEND="
+ >=net-libs/zeromq-4.2.2-r2:=[drafts=]
+"
+# It uses cffi backend for pypy, cython backend for cpython
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ >=dev-python/tornado-5.0.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# TODO: Package enum_tools
+# distutils_enable_sphinx docs/source \
+# dev-python/numpydoc \
+# dev-python/sphinx-rtd-theme \
+# dev-python/myst-parser
+
+src_configure() {
+ DISTUTILS_ARGS=(
+ -DZMQ_DRAFT_API="$(usex drafts)"
+ )
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Avoid dependency on mypy
+ tests/test_mypy.py
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # not implemented in cffi variant?
+ tests/test_draft.py::TestDraftSockets
+ )
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf zmq || die
+ # avoid large to reduce memory consumption
+ epytest -p asyncio -p rerunfailures tests -m "not large"
+}
diff --git a/dev-python/setuptools-rust/Manifest b/dev-python/setuptools-rust/Manifest
index 18253348afbb..2f5e1719ec76 100644
--- a/dev-python/setuptools-rust/Manifest
+++ b/dev-python/setuptools-rust/Manifest
@@ -105,6 +105,7 @@ DIST serde-1.0.200.crate 77611 BLAKE2B 57f4a76cf534ffda009a5441e694b0ac87b30e470
DIST serde_derive-1.0.200.crate 55785 BLAKE2B 45eca5504aff6bd099a42dfc794cf732c7e76e5ed362d16082ac069d29e1e6c22bb3e13dede4bc498df8f008bdba15479de618380f37c9742a34d97c9ca12efe SHA512 e70f0e092d81542a96b33610da8ddbf04023d8ecc1fa4a4f31978699c118f096e8534f9e3e4e479ee74280efb86d752dd1fce038ef2def329fdcc10c1aa50942
DIST servo_arc-0.1.1.crate 9817 BLAKE2B 88586ca0c969df8bfb3a04ba4a689606995876434877a2cd48a72b26451deb6fdcf65273aa9b03948adcbc66b2450301840910e5c4162b993535d69585c62128 SHA512 59d531dcf7a9191b8462ce395e713194994714b65275c0af412186f862be169d0c6fc5d86603332a1aacd8af9ace934dc78531b9cb576cf8179ec35709225447
DIST setuptools-rust-1.10.0.gh.tar.gz 303846 BLAKE2B 33fd4bef8f3fffd76230211c1d419bce3eb0dc3729fa82ec37025e2779996b7a13826517d4f8bc955c79a05a04628962ab3553beebe0954a6acba4135274d5dc SHA512 dc1e4d6cc6094d54c993c13b41c6ea63a84772733640b17e7287c3f7fc144ef747d0807ea2ea134f833d2c2a74a1f8e5385aa700b0787383e1d0bc4f39be3e09
+DIST setuptools-rust-1.10.1.gh.tar.gz 303851 BLAKE2B 09ede3e017fb3c7202a6e4426f3ac401234ae306e93b88dc6c7364e0718ccb0ce2f1b863c3a41f1158b85cb24e3a4c3ea4ba8ef5e6fa16e4768f9ac42c89aa71 SHA512 9fff3f5a8f1808da4a588ab2e3684b0d279c7813fbcb994a98996a5f20bbe9f5e26e2ad3235f35baac727106ea5023e744015f238b22436bbf3a3f6e0e8b9c2f
DIST setuptools-rust-1.9.0.gh.tar.gz 305578 BLAKE2B 5267a3ec9f816522feceee0e09f833d493e5a401b654a86269e8b8969b16313ed672ce35e1ef7023704ca1d084aa9d393cf2d115fff2e3f7fd1a68992fdd0dcf SHA512 874bb632a2847cd5febeaa766765ee58432b1a0b96fddfe0fb779f9d7965b726a7c7836e3de6700d801aca1b00a64326ca3de63027069c4a047800bd5d64dfcc
DIST siphasher-0.3.10.crate 9889 BLAKE2B e5dd6d265340b4c9e4266ab1ff3a20f1fb87fd493b2d7b5fba32d26421cc858b38929e4ab96941d0c055375b8acebbd04236d994cadca324500ed05064b9bfc9 SHA512 f90425a2cccc9575d377bb92a765d34653ddef1ac12b7c63dc6d700aaa74b525787e11609061c2d3e44ea56fe0e4b8f93f7b13f0279b5de2e0f710c5caffd4ce
DIST siphasher-0.3.11.crate 10442 BLAKE2B 771221614bbd56f609b9743da4352dc7a2cbd0f6257952fab0cd052e5e5b258a4c95a0461d6d1b579dec90b72d66a0e58e036899b3db8341ae753a421a4cd4d5 SHA512 601121bd41da896142dc6ccc74a6eec3ebee3e976857ab8b5d21e915fdc8bc6e979af66a489c406371fbbbfc7a13338cc4b3744aa981206e43c53998f3e1699b
diff --git a/dev-python/setuptools-rust/setuptools-rust-1.10.1.ebuild b/dev-python/setuptools-rust/setuptools-rust-1.10.1.ebuild
new file mode 100644
index 000000000000..f11bce32971c
--- /dev/null
+++ b/dev-python/setuptools-rust/setuptools-rust-1.10.1.ebuild
@@ -0,0 +1,176 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CARGO_OPTIONAL=yes
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+CRATES="
+ autocfg@1.3.0
+ bitflags@1.3.2
+ bitflags@2.5.0
+ byteorder@1.5.0
+ cfg-if@1.0.0
+ convert_case@0.4.0
+ cssparser-macros@0.6.1
+ cssparser@0.27.2
+ derive_more@0.99.17
+ dtoa-short@0.3.4
+ dtoa@1.0.9
+ futf@0.1.5
+ fxhash@0.2.1
+ getrandom@0.1.16
+ getrandom@0.2.15
+ heck@0.5.0
+ html5ever@0.25.2
+ indoc@2.0.5
+ itoa@0.4.8
+ kuchiki@0.8.1
+ libc@0.2.154
+ lock_api@0.4.12
+ log@0.4.21
+ mac@0.1.1
+ markup5ever@0.10.1
+ matches@0.1.10
+ memoffset@0.9.1
+ new_debug_unreachable@1.0.6
+ nodrop@0.1.14
+ once_cell@1.19.0
+ parking_lot@0.12.2
+ parking_lot_core@0.9.10
+ phf@0.8.0
+ phf_codegen@0.8.0
+ phf_generator@0.10.0
+ phf_generator@0.8.0
+ phf_macros@0.8.0
+ phf_shared@0.10.0
+ phf_shared@0.8.0
+ portable-atomic@1.6.0
+ ppv-lite86@0.2.17
+ precomputed-hash@0.1.1
+ proc-macro-hack@0.5.20+deprecated
+ proc-macro2@1.0.82
+ pyo3-build-config@0.22.2
+ pyo3-ffi@0.22.2
+ pyo3-macros-backend@0.22.2
+ pyo3-macros@0.22.2
+ pyo3@0.22.2
+ quote@1.0.36
+ rand@0.7.3
+ rand@0.8.5
+ rand_chacha@0.2.2
+ rand_chacha@0.3.1
+ rand_core@0.5.1
+ rand_core@0.6.4
+ rand_hc@0.2.0
+ rand_pcg@0.2.1
+ redox_syscall@0.5.1
+ rustc_version@0.4.0
+ scopeguard@1.2.0
+ selectors@0.22.0
+ semver@1.0.23
+ serde@1.0.200
+ serde_derive@1.0.200
+ servo_arc@0.1.1
+ siphasher@0.3.11
+ smallvec@1.13.2
+ stable_deref_trait@1.2.0
+ string_cache@0.8.7
+ string_cache_codegen@0.5.2
+ syn@1.0.109
+ syn@2.0.61
+ target-lexicon@0.12.14
+ tendril@0.4.3
+ thin-slice@0.1.1
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ utf-8@0.7.6
+ wasi@0.11.0+wasi-snapshot-preview1
+ wasi@0.9.0+wasi-snapshot-preview1
+ windows-targets@0.52.5
+ windows_aarch64_gnullvm@0.52.5
+ windows_aarch64_msvc@0.52.5
+ windows_i686_gnu@0.52.5
+ windows_i686_gnullvm@0.52.5
+ windows_i686_msvc@0.52.5
+ windows_x86_64_gnu@0.52.5
+ windows_x86_64_gnullvm@0.52.5
+ windows_x86_64_msvc@0.52.5
+"
+
+inherit distutils-r1 cargo
+
+DESCRIPTION="A plugin for setuptools to build Rust Python extensions"
+HOMEPAGE="
+ https://github.com/PyO3/setuptools-rust/
+ https://pypi.org/project/setuptools-rust/
+"
+SRC_URI="
+ https://github.com/PyO3/setuptools-rust/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? ( ${CARGO_CRATE_URIS} )
+"
+
+# crates are used at test time only, update via pycargoebuild -L -i ...
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ virtual/rust
+ <dev-python/semantic-version-3[${PYTHON_USEDEP}]
+ >=dev-python/semantic-version-2.8.2[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-62.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-62.4[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+python_test() {
+ local -x UNSAFE_PYO3_SKIP_VERSION_CHECK=1
+
+ local examples=(
+ html-py-ever
+ namespace_package
+ rust_with_cffi
+ )
+ for example_dir in ${examples[@]}; do
+ pushd examples/${example_dir} >/dev/null || die
+ einfo "Running ${example_dir} test"
+ esetup.py build --build-lib=build/lib
+
+ case ${example_dir} in
+ html-py-ever)
+ pushd tests >/dev/null || die
+ local -x PYTHONPATH=../build/lib
+ ${EPYTHON} run_all.py || die "Tests failed with ${EPYTHON}"
+ popd >/dev/null || die
+ ;;
+ *)
+ pushd build/lib >/dev/null || die
+ epytest ../../tests
+ popd >/dev/null || die
+ ;;
+ esac
+
+ rm -rf build || die
+ popd >/dev/null || die
+ done
+}
diff --git a/dev-python/shapely/Manifest b/dev-python/shapely/Manifest
index 2c307ca1ab79..f44b571338bb 100644
--- a/dev-python/shapely/Manifest
+++ b/dev-python/shapely/Manifest
@@ -1,2 +1 @@
-DIST shapely-2.0.4.gh.tar.gz 331588 BLAKE2B 4b7f8afa8e4358ed473c6172c340520a4cdf7ab76752c12a96070e88834c0b44fa87b0815fecbe337f012ca1d15bc3f38cb59ef23cf589d4e3e8f2ecbafb5660 SHA512 497bb6d1b3fbfc5758c167e984bb57f52746dae47d7d365e6f13e3879beced8194aea9119c287c8eadf2f74e038e2dbb07e906177f521fab195edcb4b7a9bdbb
DIST shapely-2.0.5.gh.tar.gz 333029 BLAKE2B c618d0eddc53bf1b4f423b18eaeaf26ab7a1c1a8d32905e56a23387da9e4b4df610222bf58b85e095b0a0b9cece226fbae9fdf1e3689f71eb8d95d0b607b5109 SHA512 2f0364bb4480c971bd8a4f78ee1ac1cb014bf335e676b9531a092f30d522a9a34b670f96f3f92d7ea91a1da5043510f33a50fd4332ad5cdef1d19799122685a6
diff --git a/dev-python/shapely/shapely-2.0.4-r1.ebuild b/dev-python/shapely/shapely-2.0.4-r1.ebuild
deleted file mode 100644
index e75158920356..000000000000
--- a/dev-python/shapely/shapely-2.0.4-r1.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1
-
-MY_P=${P/_p/.post}
-DESCRIPTION="Geometric objects, predicates, and operations"
-HOMEPAGE="
- https://pypi.org/project/shapely/
- https://github.com/shapely/shapely/
-"
-SRC_URI="
- https://github.com/shapely/shapely/archive/${PV/_p/.post}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm64 ~x86"
-
-DEPEND="
- dev-python/numpy:=[${PYTHON_USEDEP}]
- >=sci-libs/geos-3.9
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- ${DEPEND}
- >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-2.0.2-c99.patch
-)
-
-distutils_enable_tests pytest
-
-python_test() {
- rm -rf shapely || die
- epytest --pyargs shapely
-}
diff --git a/dev-python/tokenize-rt/Manifest b/dev-python/tokenize-rt/Manifest
index 3477fdb114de..b3d0c155191a 100644
--- a/dev-python/tokenize-rt/Manifest
+++ b/dev-python/tokenize-rt/Manifest
@@ -1 +1,2 @@
DIST tokenize-rt-5.2.0.gh.tar.gz 7239 BLAKE2B a81251b6b8b336a6b1b1095e0b31456e834196fc2174958299ac293e5fc979dcdd2b4fc9c7e2e231e73fd09e116d0538dadf9436b4efdcf1390b2db9a025a4b8 SHA512 4288d474dfa260dea710bfbf529c722215bf8883360d281f41a456c79d4aa029bff9fa22a89e11d83c4095a43738f0751416a53c7e116a484a32937b58c20ff1
+DIST tokenize-rt-6.0.0.gh.tar.gz 7509 BLAKE2B e652a394062fa9965e525430e021a36c9411848dcc1e7283d64692cb349eb5714fd8bce6db0098cd01461a75e638141a18a918befee80a01764ba9d152d1d1da SHA512 40a98a2a6090afa095b4933c63e4ac9dd5b4643a1e804f9ec31956cfc1cff0100a884d62c52c4c769a5810e72ab83b62f5c76cb030e48eced67670b408429cd0
diff --git a/dev-python/tokenize-rt/tokenize-rt-6.0.0.ebuild b/dev-python/tokenize-rt/tokenize-rt-6.0.0.ebuild
new file mode 100644
index 000000000000..d57cc4d6a8e2
--- /dev/null
+++ b/dev-python/tokenize-rt/tokenize-rt-6.0.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around the stdlib 'tokenize' which roundtrips"
+HOMEPAGE="
+ https://github.com/asottile/tokenize-rt/
+ https://pypi.org/project/tokenize-rt/
+"
+SRC_URI="
+ https://github.com/asottile/tokenize-rt/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/trio/Manifest b/dev-python/trio/Manifest
index 46cefc543c8e..fd17fe90c3b1 100644
--- a/dev-python/trio/Manifest
+++ b/dev-python/trio/Manifest
@@ -1 +1,2 @@
DIST trio-0.26.0.gh.tar.gz 609710 BLAKE2B ec263e5db731760472111b8eb6a7d6ebdc476f8dc0976787692289caa5d5361a1a3db03d4713f14ee3198ad45dcec19c6c672af4af3860c3cd7ad5ff3e13bc8a SHA512 9a51f4e71795083ffd4a606e989583b1a93e45dc32f93d2d03bccaf32ca62a82daaf964676636363711b7ea1675dddd3eac1acae1be73b0fc570baef3c37c748
+DIST trio-0.26.1.gh.tar.gz 610304 BLAKE2B 3bd9cd09cef7fe5484025ff2532c45a4a38f1c19b64ae833ecac5eda61463184a18020215dc569e40d1ec9950a860cf371ea461ac4d5b2dfc0f611d093c1ae7d SHA512 415bb701183e1a38574770e94c30fe4893a5f0be80291decf4524fc27677c12455124b3f7a03c37be89d42cb67b75e3315322f0cbf23264947d51ae251b3204e
diff --git a/dev-python/trio/trio-0.26.1.ebuild b/dev-python/trio/trio-0.26.1.ebuild
new file mode 100644
index 000000000000..552d9a0e3267
--- /dev/null
+++ b/dev-python/trio/trio-0.26.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for async concurrency and I/O"
+HOMEPAGE="
+ https://github.com/python-trio/trio/
+ https://pypi.org/project/trio/
+"
+SRC_URI="
+ https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-23.2.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.2.1[${PYTHON_USEDEP}]
+ ' 3.10)
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/outcome[${PYTHON_USEDEP}]
+ >=dev-python/sniffio-1.3.0[${PYTHON_USEDEP}]
+ dev-python/sortedcontainers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/astor-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/immutables-0.6[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# Bug https://bugs.gentoo.org/916756
+# distutils_enable_sphinx docs/source \
+# dev-python/immutables \
+# dev-python/sphinxcontrib-trio \
+# dev-python/sphinx-rtd-theme \
+# dev-python/towncrier
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Times out on slower arches (ia64 in this case)
+ # https://github.com/python-trio/trio/issues/1753
+ tests/test_unix_pipes.py::test_close_at_bad_time_for_send_all
+ # requires ruff
+ _tests/tools/test_gen_exports.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf trio || die
+ epytest -p trio._tests.pytest_plugin \
+ -m "not redistributors_should_skip" \
+ --pyargs trio \
+ --skip-optional-imports
+}
diff --git a/dev-python/wheel/Manifest b/dev-python/wheel/Manifest
index abc3cec4882f..28543063e41e 100644
--- a/dev-python/wheel/Manifest
+++ b/dev-python/wheel/Manifest
@@ -1 +1,2 @@
DIST wheel-0.43.0.tar.gz 99109 BLAKE2B 49e77ba84fb0a9b3bd177d994b9b33f8e5fa2bb8528fe1216fd55e6d749e201ac9a76ff24c8178485bff94d0f7840d42e0aa8f940fc3fe7d91c41411fa1cd907 SHA512 b6213c05263026884c07bdc4d529252f0be013c3fc6d0558008b7130ba90d4ef11e57f155f62f5e2528ddcd78d188530b2b7c78acc15b8168f64935fe6e6393b
+DIST wheel-0.44.0.tar.gz 100733 BLAKE2B 6beefa0875be52fb2dff2921cb87063bcafdf2e31c43963676fbae8aef4e68ea21675aa715f94052edc9f5e8dbbd5e2afe3abc17f521eb36b24fa628b0522bbe SHA512 f0a1efbf70e8a2eebdf7564932bdfa3892940a3fbfc00f256f61be03a51ff9cc5a55570d1d3f5878670be84ab233483453ce754ea46c508574fcf4ec61d480c8
diff --git a/dev-python/wheel/wheel-0.44.0.ebuild b/dev-python/wheel/wheel-0.44.0.ebuild
new file mode 100644
index 000000000000..fc8827998682
--- /dev/null
+++ b/dev-python/wheel/wheel-0.44.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="
+ https://github.com/pypa/wheel/
+ https://pypi.org/project/wheel/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # fails if any setuptools plugin imported the module first
+ tests/test_bdist_wheel.py::test_deprecated_import
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unbundle packaging
+ rm -r src/wheel/vendored || die
+ sed -i -e 's:\.vendored\.::' src/wheel/*.py || die
+ sed -i -e 's:wheel\.vendored\.::' tests/*.py || die
+
+ distutils-r1_src_prepare
+}